package com.telecomscloud.model;

import java.util.Objects;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import com.google.gson.annotations.SerializedName;




/**
 * Model for FaxInfoModel
 **/
@ApiModel(description = "Model for FaxInfoModel")
public class FaxInfoModel   {
  
  @SerializedName("from_number")
  private String fromNumber = null;
  
  @SerializedName("id")
  private String id = null;
  
  @SerializedName("page_count")
  private Integer pageCount = null;
  
  @SerializedName("pointer")
  private Integer pointer = null;
  
  @SerializedName("received_date")
  private String receivedDate = null;
  
  @SerializedName("service_number")
  private String serviceNumber = null;
  
  @SerializedName("tiff_bytes")
  private Integer tiffBytes = null;
  

  
  /**
   **/
  @ApiModelProperty(required = true, value = "")
  public String getFromNumber() {
    return fromNumber;
  }
  public void setFromNumber(String fromNumber) {
    this.fromNumber = fromNumber;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getId() {
    return id;
  }
  public void setId(String id) {
    this.id = id;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public Integer getPageCount() {
    return pageCount;
  }
  public void setPageCount(Integer pageCount) {
    this.pageCount = pageCount;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public Integer getPointer() {
    return pointer;
  }
  public void setPointer(Integer pointer) {
    this.pointer = pointer;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getReceivedDate() {
    return receivedDate;
  }
  public void setReceivedDate(String receivedDate) {
    this.receivedDate = receivedDate;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getServiceNumber() {
    return serviceNumber;
  }
  public void setServiceNumber(String serviceNumber) {
    this.serviceNumber = serviceNumber;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public Integer getTiffBytes() {
    return tiffBytes;
  }
  public void setTiffBytes(Integer tiffBytes) {
    this.tiffBytes = tiffBytes;
  }

  

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    FaxInfoModel faxInfoModel = (FaxInfoModel) o;
    return Objects.equals(fromNumber, faxInfoModel.fromNumber) &&
        Objects.equals(id, faxInfoModel.id) &&
        Objects.equals(pageCount, faxInfoModel.pageCount) &&
        Objects.equals(pointer, faxInfoModel.pointer) &&
        Objects.equals(receivedDate, faxInfoModel.receivedDate) &&
        Objects.equals(serviceNumber, faxInfoModel.serviceNumber) &&
        Objects.equals(tiffBytes, faxInfoModel.tiffBytes);
  }

  @Override
  public int hashCode() {
    return Objects.hash(fromNumber, id, pageCount, pointer, receivedDate, serviceNumber, tiffBytes);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class FaxInfoModel {\n");
    
    sb.append("    fromNumber: ").append(toIndentedString(fromNumber)).append("\n");
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    pageCount: ").append(toIndentedString(pageCount)).append("\n");
    sb.append("    pointer: ").append(toIndentedString(pointer)).append("\n");
    sb.append("    receivedDate: ").append(toIndentedString(receivedDate)).append("\n");
    sb.append("    serviceNumber: ").append(toIndentedString(serviceNumber)).append("\n");
    sb.append("    tiffBytes: ").append(toIndentedString(tiffBytes)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
