package com.telecomscloud.model;

import java.util.Objects;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import com.google.gson.annotations.SerializedName;




/**
 * Model for FaxOutboundGetUpdatesResponseModel
 **/
@ApiModel(description = "Model for FaxOutboundGetUpdatesResponseModel")
public class FaxOutboundGetUpdatesResponseModel   {
  
  @SerializedName("date")
  private String date = null;
  
  @SerializedName("id")
  private String id = null;
  
  @SerializedName("pointer")
  private String pointer = null;
  
  @SerializedName("status")
  private String status = null;
  
  @SerializedName("status_code")
  private Integer statusCode = null;
  

  
  /**
   **/
  @ApiModelProperty(required = true, value = "")
  public String getDate() {
    return date;
  }
  public void setDate(String date) {
    this.date = date;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getId() {
    return id;
  }
  public void setId(String id) {
    this.id = id;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getPointer() {
    return pointer;
  }
  public void setPointer(String pointer) {
    this.pointer = pointer;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getStatus() {
    return status;
  }
  public void setStatus(String status) {
    this.status = status;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public Integer getStatusCode() {
    return statusCode;
  }
  public void setStatusCode(Integer statusCode) {
    this.statusCode = statusCode;
  }

  

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    FaxOutboundGetUpdatesResponseModel faxOutboundGetUpdatesResponseModel = (FaxOutboundGetUpdatesResponseModel) o;
    return Objects.equals(date, faxOutboundGetUpdatesResponseModel.date) &&
        Objects.equals(id, faxOutboundGetUpdatesResponseModel.id) &&
        Objects.equals(pointer, faxOutboundGetUpdatesResponseModel.pointer) &&
        Objects.equals(status, faxOutboundGetUpdatesResponseModel.status) &&
        Objects.equals(statusCode, faxOutboundGetUpdatesResponseModel.statusCode);
  }

  @Override
  public int hashCode() {
    return Objects.hash(date, id, pointer, status, statusCode);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class FaxOutboundGetUpdatesResponseModel {\n");
    
    sb.append("    date: ").append(toIndentedString(date)).append("\n");
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    pointer: ").append(toIndentedString(pointer)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    statusCode: ").append(toIndentedString(statusCode)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
