package com.telecomscloud.model;

import java.util.Objects;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import com.google.gson.annotations.SerializedName;




/**
 * Model for NumberFormatterResponseModel
 **/
@ApiModel(description = "Model for NumberFormatterResponseModel")
public class NumberFormatterResponseModel   {
  
  @SerializedName("number")
  private String number = null;
  

  
  /**
   **/
  @ApiModelProperty(required = true, value = "")
  public String getNumber() {
    return number;
  }
  public void setNumber(String number) {
    this.number = number;
  }

  

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    NumberFormatterResponseModel numberFormatterResponseModel = (NumberFormatterResponseModel) o;
    return Objects.equals(number, numberFormatterResponseModel.number);
  }

  @Override
  public int hashCode() {
    return Objects.hash(number);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class NumberFormatterResponseModel {\n");
    
    sb.append("    number: ").append(toIndentedString(number)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
