package com.telecomscloud.model;

import java.util.Objects;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import com.google.gson.annotations.SerializedName;




/**
 * Model for SmsOutboundGetStatusResponseModel
 **/
@ApiModel(description = "Model for SmsOutboundGetStatusResponseModel")
public class SmsOutboundGetStatusResponseModel   {
  
  @SerializedName("dispatch_datetime")
  private String dispatchDatetime = null;
  
  @SerializedName("from")
  private String from = null;
  
  @SerializedName("id")
  private String id = null;
  
  @SerializedName("receipt_received_datetime")
  private String receiptReceivedDatetime = null;
  
  @SerializedName("receipt_status_code")
  private Integer receiptStatusCode = null;
  
  @SerializedName("status")
  private String status = null;
  
  @SerializedName("status_code")
  private Integer statusCode = null;
  
  @SerializedName("submit_datetime")
  private String submitDatetime = null;
  
  @SerializedName("to")
  private String to = null;
  

  
  /**
   **/
  @ApiModelProperty(required = true, value = "")
  public String getDispatchDatetime() {
    return dispatchDatetime;
  }
  public void setDispatchDatetime(String dispatchDatetime) {
    this.dispatchDatetime = dispatchDatetime;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getFrom() {
    return from;
  }
  public void setFrom(String from) {
    this.from = from;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getId() {
    return id;
  }
  public void setId(String id) {
    this.id = id;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getReceiptReceivedDatetime() {
    return receiptReceivedDatetime;
  }
  public void setReceiptReceivedDatetime(String receiptReceivedDatetime) {
    this.receiptReceivedDatetime = receiptReceivedDatetime;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public Integer getReceiptStatusCode() {
    return receiptStatusCode;
  }
  public void setReceiptStatusCode(Integer receiptStatusCode) {
    this.receiptStatusCode = receiptStatusCode;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getStatus() {
    return status;
  }
  public void setStatus(String status) {
    this.status = status;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public Integer getStatusCode() {
    return statusCode;
  }
  public void setStatusCode(Integer statusCode) {
    this.statusCode = statusCode;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getSubmitDatetime() {
    return submitDatetime;
  }
  public void setSubmitDatetime(String submitDatetime) {
    this.submitDatetime = submitDatetime;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getTo() {
    return to;
  }
  public void setTo(String to) {
    this.to = to;
  }

  

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SmsOutboundGetStatusResponseModel smsOutboundGetStatusResponseModel = (SmsOutboundGetStatusResponseModel) o;
    return Objects.equals(dispatchDatetime, smsOutboundGetStatusResponseModel.dispatchDatetime) &&
        Objects.equals(from, smsOutboundGetStatusResponseModel.from) &&
        Objects.equals(id, smsOutboundGetStatusResponseModel.id) &&
        Objects.equals(receiptReceivedDatetime, smsOutboundGetStatusResponseModel.receiptReceivedDatetime) &&
        Objects.equals(receiptStatusCode, smsOutboundGetStatusResponseModel.receiptStatusCode) &&
        Objects.equals(status, smsOutboundGetStatusResponseModel.status) &&
        Objects.equals(statusCode, smsOutboundGetStatusResponseModel.statusCode) &&
        Objects.equals(submitDatetime, smsOutboundGetStatusResponseModel.submitDatetime) &&
        Objects.equals(to, smsOutboundGetStatusResponseModel.to);
  }

  @Override
  public int hashCode() {
    return Objects.hash(dispatchDatetime, from, id, receiptReceivedDatetime, receiptStatusCode, status, statusCode, submitDatetime, to);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SmsOutboundGetStatusResponseModel {\n");
    
    sb.append("    dispatchDatetime: ").append(toIndentedString(dispatchDatetime)).append("\n");
    sb.append("    from: ").append(toIndentedString(from)).append("\n");
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    receiptReceivedDatetime: ").append(toIndentedString(receiptReceivedDatetime)).append("\n");
    sb.append("    receiptStatusCode: ").append(toIndentedString(receiptStatusCode)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    statusCode: ").append(toIndentedString(statusCode)).append("\n");
    sb.append("    submitDatetime: ").append(toIndentedString(submitDatetime)).append("\n");
    sb.append("    to: ").append(toIndentedString(to)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
