package com.telecomscloud.model;

import java.util.Objects;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import com.google.gson.annotations.SerializedName;




/**
 * Model for AccountInfoResponseModel
 **/
@ApiModel(description = "Model for AccountInfoResponseModel")
public class AccountInfoResponseModel   {
  
  @SerializedName("active_services")
  private Integer activeServices = null;
  
  @SerializedName("credit_balance")
  private String creditBalance = null;
  
  @SerializedName("primary_email")
  private String primaryEmail = null;
  
  @SerializedName("status")
  private String status = null;
  
  @SerializedName("username")
  private String username = null;
  

  
  /**
   **/
  @ApiModelProperty(required = true, value = "")
  public Integer getActiveServices() {
    return activeServices;
  }
  public void setActiveServices(Integer activeServices) {
    this.activeServices = activeServices;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getCreditBalance() {
    return creditBalance;
  }
  public void setCreditBalance(String creditBalance) {
    this.creditBalance = creditBalance;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getPrimaryEmail() {
    return primaryEmail;
  }
  public void setPrimaryEmail(String primaryEmail) {
    this.primaryEmail = primaryEmail;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getStatus() {
    return status;
  }
  public void setStatus(String status) {
    this.status = status;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getUsername() {
    return username;
  }
  public void setUsername(String username) {
    this.username = username;
  }

  

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AccountInfoResponseModel accountInfoResponseModel = (AccountInfoResponseModel) o;
    return Objects.equals(activeServices, accountInfoResponseModel.activeServices) &&
        Objects.equals(creditBalance, accountInfoResponseModel.creditBalance) &&
        Objects.equals(primaryEmail, accountInfoResponseModel.primaryEmail) &&
        Objects.equals(status, accountInfoResponseModel.status) &&
        Objects.equals(username, accountInfoResponseModel.username);
  }

  @Override
  public int hashCode() {
    return Objects.hash(activeServices, creditBalance, primaryEmail, status, username);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AccountInfoResponseModel {\n");
    
    sb.append("    activeServices: ").append(toIndentedString(activeServices)).append("\n");
    sb.append("    creditBalance: ").append(toIndentedString(creditBalance)).append("\n");
    sb.append("    primaryEmail: ").append(toIndentedString(primaryEmail)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    username: ").append(toIndentedString(username)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
