package com.telecomscloud.model;

import java.util.Objects;
import com.telecomscloud.model.FaxInfoModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import com.google.gson.annotations.SerializedName;




/**
 * Model for FaxInfoCollectionResponseModel
 **/
@ApiModel(description = "Model for FaxInfoCollectionResponseModel")
public class FaxInfoCollectionResponseModel   {
  
  @SerializedName("records")
  private FaxInfoModel records = null;
  

  
  /**
   **/
  @ApiModelProperty(required = true, value = "")
  public FaxInfoModel getRecords() {
    return records;
  }
  public void setRecords(FaxInfoModel records) {
    this.records = records;
  }

  

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    FaxInfoCollectionResponseModel faxInfoCollectionResponseModel = (FaxInfoCollectionResponseModel) o;
    return Objects.equals(records, faxInfoCollectionResponseModel.records);
  }

  @Override
  public int hashCode() {
    return Objects.hash(records);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class FaxInfoCollectionResponseModel {\n");
    
    sb.append("    records: ").append(toIndentedString(records)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
