package com.telecomscloud.model;

import java.util.Objects;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import com.google.gson.annotations.SerializedName;




/**
 * Model for FaxOutboundGetStatusResponseModel
 **/
@ApiModel(description = "Model for FaxOutboundGetStatusResponseModel")
public class FaxOutboundGetStatusResponseModel   {
  
  @SerializedName("complete_datetime")
  private String completeDatetime = null;
  
  @SerializedName("id")
  private String id = null;
  
  @SerializedName("status")
  private String status = null;
  
  @SerializedName("status_code")
  private Integer statusCode = null;
  
  @SerializedName("submit_datetime")
  private String submitDatetime = null;
  
  @SerializedName("to")
  private String to = null;
  

  
  /**
   **/
  @ApiModelProperty(required = true, value = "")
  public String getCompleteDatetime() {
    return completeDatetime;
  }
  public void setCompleteDatetime(String completeDatetime) {
    this.completeDatetime = completeDatetime;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getId() {
    return id;
  }
  public void setId(String id) {
    this.id = id;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getStatus() {
    return status;
  }
  public void setStatus(String status) {
    this.status = status;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public Integer getStatusCode() {
    return statusCode;
  }
  public void setStatusCode(Integer statusCode) {
    this.statusCode = statusCode;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getSubmitDatetime() {
    return submitDatetime;
  }
  public void setSubmitDatetime(String submitDatetime) {
    this.submitDatetime = submitDatetime;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getTo() {
    return to;
  }
  public void setTo(String to) {
    this.to = to;
  }

  

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    FaxOutboundGetStatusResponseModel faxOutboundGetStatusResponseModel = (FaxOutboundGetStatusResponseModel) o;
    return Objects.equals(completeDatetime, faxOutboundGetStatusResponseModel.completeDatetime) &&
        Objects.equals(id, faxOutboundGetStatusResponseModel.id) &&
        Objects.equals(status, faxOutboundGetStatusResponseModel.status) &&
        Objects.equals(statusCode, faxOutboundGetStatusResponseModel.statusCode) &&
        Objects.equals(submitDatetime, faxOutboundGetStatusResponseModel.submitDatetime) &&
        Objects.equals(to, faxOutboundGetStatusResponseModel.to);
  }

  @Override
  public int hashCode() {
    return Objects.hash(completeDatetime, id, status, statusCode, submitDatetime, to);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class FaxOutboundGetStatusResponseModel {\n");
    
    sb.append("    completeDatetime: ").append(toIndentedString(completeDatetime)).append("\n");
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    statusCode: ").append(toIndentedString(statusCode)).append("\n");
    sb.append("    submitDatetime: ").append(toIndentedString(submitDatetime)).append("\n");
    sb.append("    to: ").append(toIndentedString(to)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
