package com.telecomscloud.model;

import java.util.Objects;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import com.google.gson.annotations.SerializedName;




/**
 * Model for LocalityInfoResponseModel
 **/
@ApiModel(description = "Model for LocalityInfoResponseModel")
public class LocalityInfoResponseModel   {
  
  @SerializedName("area_code")
  private String areaCode = null;
  
  @SerializedName("fibre_date")
  private String fibreDate = null;
  
  @SerializedName("fibre_type")
  private String fibreType = null;
  
  @SerializedName("ipstream_status")
  private String ipstreamStatus = null;
  
  @SerializedName("isoa2")
  private String isoa2 = null;
  
  @SerializedName("locality_name")
  private String localityName = null;
  
  @SerializedName("operator_name")
  private String operatorName = null;
  
  @SerializedName("partial_number")
  private String partialNumber = null;
  
  @SerializedName("post_code")
  private String postCode = null;
  
  @SerializedName("post_town")
  private String postTown = null;
  
  @SerializedName("wbc_status")
  private String wbcStatus = null;
  

  
  /**
   **/
  @ApiModelProperty(required = true, value = "")
  public String getAreaCode() {
    return areaCode;
  }
  public void setAreaCode(String areaCode) {
    this.areaCode = areaCode;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getFibreDate() {
    return fibreDate;
  }
  public void setFibreDate(String fibreDate) {
    this.fibreDate = fibreDate;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getFibreType() {
    return fibreType;
  }
  public void setFibreType(String fibreType) {
    this.fibreType = fibreType;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getIpstreamStatus() {
    return ipstreamStatus;
  }
  public void setIpstreamStatus(String ipstreamStatus) {
    this.ipstreamStatus = ipstreamStatus;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getIsoa2() {
    return isoa2;
  }
  public void setIsoa2(String isoa2) {
    this.isoa2 = isoa2;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getLocalityName() {
    return localityName;
  }
  public void setLocalityName(String localityName) {
    this.localityName = localityName;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getOperatorName() {
    return operatorName;
  }
  public void setOperatorName(String operatorName) {
    this.operatorName = operatorName;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getPartialNumber() {
    return partialNumber;
  }
  public void setPartialNumber(String partialNumber) {
    this.partialNumber = partialNumber;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getPostCode() {
    return postCode;
  }
  public void setPostCode(String postCode) {
    this.postCode = postCode;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getPostTown() {
    return postTown;
  }
  public void setPostTown(String postTown) {
    this.postTown = postTown;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getWbcStatus() {
    return wbcStatus;
  }
  public void setWbcStatus(String wbcStatus) {
    this.wbcStatus = wbcStatus;
  }

  

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LocalityInfoResponseModel localityInfoResponseModel = (LocalityInfoResponseModel) o;
    return Objects.equals(areaCode, localityInfoResponseModel.areaCode) &&
        Objects.equals(fibreDate, localityInfoResponseModel.fibreDate) &&
        Objects.equals(fibreType, localityInfoResponseModel.fibreType) &&
        Objects.equals(ipstreamStatus, localityInfoResponseModel.ipstreamStatus) &&
        Objects.equals(isoa2, localityInfoResponseModel.isoa2) &&
        Objects.equals(localityName, localityInfoResponseModel.localityName) &&
        Objects.equals(operatorName, localityInfoResponseModel.operatorName) &&
        Objects.equals(partialNumber, localityInfoResponseModel.partialNumber) &&
        Objects.equals(postCode, localityInfoResponseModel.postCode) &&
        Objects.equals(postTown, localityInfoResponseModel.postTown) &&
        Objects.equals(wbcStatus, localityInfoResponseModel.wbcStatus);
  }

  @Override
  public int hashCode() {
    return Objects.hash(areaCode, fibreDate, fibreType, ipstreamStatus, isoa2, localityName, operatorName, partialNumber, postCode, postTown, wbcStatus);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LocalityInfoResponseModel {\n");
    
    sb.append("    areaCode: ").append(toIndentedString(areaCode)).append("\n");
    sb.append("    fibreDate: ").append(toIndentedString(fibreDate)).append("\n");
    sb.append("    fibreType: ").append(toIndentedString(fibreType)).append("\n");
    sb.append("    ipstreamStatus: ").append(toIndentedString(ipstreamStatus)).append("\n");
    sb.append("    isoa2: ").append(toIndentedString(isoa2)).append("\n");
    sb.append("    localityName: ").append(toIndentedString(localityName)).append("\n");
    sb.append("    operatorName: ").append(toIndentedString(operatorName)).append("\n");
    sb.append("    partialNumber: ").append(toIndentedString(partialNumber)).append("\n");
    sb.append("    postCode: ").append(toIndentedString(postCode)).append("\n");
    sb.append("    postTown: ").append(toIndentedString(postTown)).append("\n");
    sb.append("    wbcStatus: ").append(toIndentedString(wbcStatus)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
