package com.telecomscloud.model;

import java.util.Objects;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import com.google.gson.annotations.SerializedName;




/**
 * Model for SmsOutboundSendResponseModel
 **/
@ApiModel(description = "Model for SmsOutboundSendResponseModel")
public class SmsOutboundSendResponseModel   {
  
  @SerializedName("from")
  private String from = null;
  
  @SerializedName("message")
  private String message = null;
  
  @SerializedName("numberFormatLocation")
  private String numberFormatLocation = null;
  
  @SerializedName("to")
  private String to = null;
  

  
  /**
   **/
  @ApiModelProperty(required = true, value = "")
  public String getFrom() {
    return from;
  }
  public void setFrom(String from) {
    this.from = from;
  }

  
  /**
   **/
  @ApiModelProperty(required = true, value = "")
  public String getMessage() {
    return message;
  }
  public void setMessage(String message) {
    this.message = message;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getNumberFormatLocation() {
    return numberFormatLocation;
  }
  public void setNumberFormatLocation(String numberFormatLocation) {
    this.numberFormatLocation = numberFormatLocation;
  }

  
  /**
   **/
  @ApiModelProperty(required = true, value = "")
  public String getTo() {
    return to;
  }
  public void setTo(String to) {
    this.to = to;
  }

  

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SmsOutboundSendResponseModel smsOutboundSendResponseModel = (SmsOutboundSendResponseModel) o;
    return Objects.equals(from, smsOutboundSendResponseModel.from) &&
        Objects.equals(message, smsOutboundSendResponseModel.message) &&
        Objects.equals(numberFormatLocation, smsOutboundSendResponseModel.numberFormatLocation) &&
        Objects.equals(to, smsOutboundSendResponseModel.to);
  }

  @Override
  public int hashCode() {
    return Objects.hash(from, message, numberFormatLocation, to);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SmsOutboundSendResponseModel {\n");
    
    sb.append("    from: ").append(toIndentedString(from)).append("\n");
    sb.append("    message: ").append(toIndentedString(message)).append("\n");
    sb.append("    numberFormatLocation: ").append(toIndentedString(numberFormatLocation)).append("\n");
    sb.append("    to: ").append(toIndentedString(to)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
